Loading...
Searching...
No Matches
sensors::Logger::Info Struct Reference

Sensor logger info. More...

`import "SensorLogger.idl";`

## Public Attributes

int | samplePeriod
| Sample interval in milliseconds.
int | maxTotalRecords
| Maximum supported number of log records (number of logged sensors multiplied by log capacity)
int | effectiveCapacity
| Effective log capacity; may be lower than the setting to meet the maxTotalRecords limit.
int | oldestRecId
| ID of oldest record in buffer (0 if empty)
int | newestRecId
| ID of newest record in buffer (0 if empty)

## Detailed Description

Sensor logger info.

Definition at line 34 of file SensorLogger.idl.

## Member Data Documentation

## effectiveCapacity

int sensors::Logger::Info::effectiveCapacity

Effective log capacity; may be lower than the setting to meet the maxTotalRecords limit.

Definition at line 38 of file SensorLogger.idl.

## maxTotalRecords

int sensors::Logger::Info::maxTotalRecords

Maximum supported number of log records (number of logged sensors multiplied by log capacity)

Definition at line 36 of file SensorLogger.idl.

## newestRecId

int sensors::Logger::Info::newestRecId

ID of newest record in buffer (0 if empty)

Definition at line 41 of file SensorLogger.idl.

## oldestRecId

int sensors::Logger::Info::oldestRecId

ID of oldest record in buffer (0 if empty)

Definition at line 40 of file SensorLogger.idl.

## samplePeriod

int sensors::Logger::Info::samplePeriod

Sample interval in milliseconds.

Definition at line 35 of file SensorLogger.idl.

The documentation for this struct was generated from the following file:

- SensorLogger.idl